\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
g &= -c
\\
&= -1 \times \frac{\tan(\pi / 2 \times B) - 1}{\tan(\pi / 2 \times B) + 1}
\\
&= \frac{1 - \tan(\pi / 2 \times B)}{1 + \tan(\pi / 2 \times B)}
\end{align*}






\end{document}